# Awesome Python Binding Generators for C++

## C/C++ to Python

### Boost.Python

* [AutoWIG](https://autowig.readthedocs.io) - Automatic wrapper and interface generator [[github](https://github.com/StatisKit/AutoWIG) ![StatisKit/AutoWIG](https://img.shields.io/github/stars/StatisKit/AutoWIG.svg?style=social&label=Star&maxAge=2592000)]
* chimera - Utility for generating Boost.Python and pybind11 bindings from C/C++ code [[github](https://github.com/personalrobotics/chimera) ![personalrobotics/chimera](https://img.shields.io/github/stars/personalrobotics/chimera.svg?style=social&label=Star&maxAge=2592000)]

### pybind11

* [Binder](http://cppbinder.readthedocs.io/en/latest/) - Binder, tool for automatic generation of Python bindings [[github](https://github.com/RosettaCommons/binder) ![RosettaCommons/binder](https://img.shields.io/github/stars/RosettaCommons/binder.svg?style=social&label=Star&maxAge=2592000)]
* cppwg - An automatic wrapper generator for C++ [[github](https://github.com/jmsgrogan/cppwg) ![jmsgrogan/cppwg](https://img.shields.io/github/stars/jmsgrogan/cppwg.svg?style=social&label=Star&maxAge=2592000)]
* [Py++](http://pypp11.readthedocs.io/en/latest/) (deprecated) - Py++ for generating pybind11 code [[github](https://github.com/ISoirar/pypp11) ![ISoirar/pypp11](https://img.shields.io/github/stars/ISoirar/pypp11.svg?style=social&label=Star&maxAge=2592000)]

### ETC

* clif - Wrapper generator foundation to wrap C++ for Python and other languages using LLVM [[github](https://github.com/google/clif) ![google/clif](https://img.shields.io/github/stars/google/clif.svg?style=social&label=Star&maxAge=2592000)]
* Cpp2Py - Reflection tools based on clang [[github](https://github.com/TRIQS/cpp2py) ![TRIQS/cpp2py](https://img.shields.io/github/stars/TRIQS/cpp2py.svg?style=social&label=Star&maxAge=2592000)]
* [cppyy](https://cppyy.readthedocs.io) - Python-C++ bindings interface based on Cling/LLVM [[bitbucket](https://bitbucket.org/wlav/cppyy)]

## C/C++ to other languages

### Crystal

* Bindgen - Binding and wrapper generator for C/C++ libraries [[github](https://github.com/Papierkorb/bindgen) ![Papierkorb/bindgen](https://img.shields.io/github/stars/Papierkorb/bindgen.svg?style=social&label=Star&maxAge=2592000)]
